# pagesmith

Разбиение HTML на страницы с сохранением HTML-тегов и соблюдением исходной структуры документа и целостности текста.

Используется чрезвычайно быстрый парсер lxml.

!!! note "Как это работает"
    Класс [HtmlPageSplitter][pagesmith.HtmlPageSplitter] интеллектуально разбивает HTML-содержимое на страницы соответствующего размера, обеспечивая при этом правильное закрытие и валидность всех HTML-тегов. Это сохраняет как структуру документа, так и его стиль.

Для очистки HTML можно использовать [refine_html][pagesmith.refine_html.refine_html].

Также содержит класс для разделение на страницы и извлечение оглавления из чистого текста.

!!! note "Как это работает"
    Класс [ChapterDetector][pagesmith.ChapterDetector] анализирует текст для поиска стандартных форматов заголовков глав. Он автоматически определяет позицию каждой главы и извлекает заголовок.

## Установка

```bash
pip install pagesmith
```

## Использование
- [HTML страницы](html_splitter.md)
- [Текстовые страницы](text_splitter.md)
